Subject: Re: Global Stack

From: Martin Young <[email-masked]>
Date: Mon, 10 Jul 2000 11:11:50 +0100

On Jul 10, 10:17am, [email-masked] wrote:
> When running my program, the prolog interpreter says:
> 	ERROR: Out of global stack.
> What can I do?

You're running out of memory.  You can either add the option "-G<n>M" to your
command line where <n> is the maximum number of megabytes of global stack you
want.  Default is 4.  I often run with "pl -G32M -L32M" which gives me lots of
local stack too.  See the bit about command line options in the reference
manual.

Alternatively, your program has a bug and is recursing out of control.

HTH.

-- 
Martin Young  working for  STMicroelectronics at     `(o)_(o)' The fat wise /
1000 Aztec West, Almondsbury, Bristol, BS32 4SQ.      (  V  ) owl eats only >
+44 1454 462 523    `v'      [email-masked]      `.___,' clean mice.  /
                   _(_)_                             -="==="=============='